API reference
Update store settings
Update store settings
PUT
/v1/stores/settingsUpdate store settings
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/stores/settings" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "description": "string", "slug": null, "domain": null, "logo": null, "favicon": null, "icon": null, "visibility": "public", "timeZone": "string", "currency": "string", "language": "string", "themeConfig": { "name": null, "mode": null, "colors": { "property1": "string", "property2": "string" }, "fonts": { "property1": "string", "property2": "string" }, "assets": { "property1": "string", "property2": "string" } }, "featuresEnabled": { "flags": { "property1": true, "property2": true } }, "checkoutSettings": { "general": { "allowGuestCheckout": true, "identityScope": "store", "signInMethods": [], "useSequentialOrderNumbers": true, "automaticallySelectFirstAddress": true, "alwaysRequestCustomerAddress": true, "requestCustomerDateOfBirth": true, "automaticallySelectBestPromotion": true }, "shipping": { "showDeliveryTime": true, "showDeliveryTimeInDays": true, "useBusinessDaysForDeliveryTime": true, "showEstimatedDeliveryDateInThankYouAndEmails": true, "showOriginalShippingPriceWhenFree": true }, "cartPage": { "showShippingCostCalculation": true, "allowProductLinks": true, "redirectToCartPage": true }, "orderBumps": { "mergeOrderBumpOrders": true, "allowOnlyOneAdditionalOffer": true, "maxVisibleOffers": 0 }, "ordersAndPayments": { "allowPurchasesFrom": "any", "creditCardDailyOrderLimitPerIp": null, "maximumItemsPerOrder": null, "deliveryNoteText": null, "boletoPaymentNoteText": null } }}